Bug 1691608 - Review Request: golang-github-mail-v2 - simple and efficient package to send emails
Summary: Review Request: golang-github-mail-v2 - simple and efficient package to send ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1670656
TreeView+ depends on / blocked
 
Reported: 2019-03-22 03:33 UTC by Mark Goodwin
Modified: 2019-04-13 15:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 21:49:34 UTC
nathans: fedora-review+


Attachments (Terms of Use)

Description Mark Goodwin 2019-03-22 03:33:08 UTC
Spec URL: https://mgoodwin.fedorapeople.org/golang/mail-2/golang-github-mail-v2.spec
SRPM URL: https://mgoodwin.fedorapeople.org/golang/mail-2/golang-github-mail-v2-2.0.0-1.fc29.src.rpm
Description: Gomail is a simple and efficient package to send emails
Fedora Account System Username: mgoodwin

Comment 1 Mark Goodwin 2019-03-22 03:37:54 UTC
sigh. koji scratch build failed in %check .. please wait for an update

Comment 2 Robert-André Mauchin 2019-03-23 03:43:07 UTC
 - gopkg.in/mail.v2 should be the main import path, which determines spec name and filename.

%global goipath   gopkg.in/mail.v2
%global forgeurl  https://github.com/go-mail/mail

 - The other import paths should be compatibility ones, not using goinstall to be installed but relying on symlinks. 

# Old naming of the same project
%global oldgoipath xxxx
%global oldgoname  %gorpmname %{oldgoipath}

[…]

%package -n compat-%{oldgoname}-devel
Summary:   %{summary}

%description -n compat-%{oldgoname}-devel
%{common_description}

[…]

%goinstall
#
# Old name aliasing
install -m 0755 -vd %{buildroot}%{gopath}/src/%(dirname %{oldgoipath})
ln -s %{gopath}/src/%{goipath} %{buildroot}%{gopath}/src/%{oldgoipath}

[…]

%files -n compat-%{oldgoname}-devel
# You need as many of those as necessary to own the levels of directories
# between %{gopath}/src and %{gopath}/src/%{oldgoipath}, that are not already
# owned by the %{goname}-devel subpackage
%dir %{gopath}/src/%(dirname %(dirname %{oldgoipath}))
%dir %{gopath}/src/%(dirname %{oldgoipath})
%{gopath}/src/%{oldgoipath}


 - use tag instead of version:

%global tag     2.0.0

   otherwise %{gosource} is 404

 - Not needed

%build
true

Comment 3 Mark Goodwin 2019-03-25 09:48:58 UTC
Found the build issue causing %checks to fail - /usr/lib/golang/src/mime/type.go implements mime.TypeByExtension(), which is used by mail-2 for the Content-Type header. This function uses /etc/mime.types (or one of the apache equivalents, if present), which is provided by the mailcap package. So adding 
 BuildRequires: mailcap  fixes it!

Comment 4 Mark Goodwin 2019-03-26 05:55:33 UTC
Spec URL: https://mgoodwin.fedorapeople.org/golang/mail-2/golang-github-mail-v2.spec
SRPM URL: https://mgoodwin.fedorapeople.org/golang/mail-2/golang-github-mail-v2-2.3.1-1.fc29.src.rpm
Description: Gomail is a simple and efficient package to send emails
Fedora Account System Username: mgoodwin

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33772410

Comment 5 Nathan Scott 2019-03-26 06:05:52 UTC
Nice catch on mailcap %check dependency Mark.  Package LGTM, approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 18 files have unknown
     license. Detailed output of licensecheck in /home/nathans/1691608
     -golang-github-mail-v2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/gopkg.in(golang-gopkg-1-bufio-devel, golang-
     gopkg-1-macaron-devel, golang-gopkg-3-alexcesaro-quotedprintable-
     devel, golang-gopkg-redis-2-devel), /usr/share/gocode/src/github.com
     (golang-github-davecgh-go-spew-devel, golang-github-opentracing-devel,
     golang-github-rainycape-unidecode-devel, golang-github-lib-pq-devel,
     golang-github-bradfitz-gomemcache-devel, golang, golang-github-
     macaron-v1-devel, golang-github-redis-v2-devel, golang-github-teris-
     io-shortid-devel, golang-github-stack-devel, golang-github-mattn-go-
     colorable-devel, golang-github-smartystreets-assertions-devel, golang-
     github-unknwon-com-devel, golang-github-mattn-go-isatty-devel, golang-
     github-smartystreets-goconvey-devel, golang-github-kr-pty-devel,
     golang-github-stretchr-testify-devel, golang-github-pmezard-go-
     difflib-devel, golang-github-alexcesaro-quotedprintable-v3-devel,
     golang-github-kr-text-devel, golang-github-bufio-v1-devel, golang-
     github-klauspost-compress-devel, golang-github-jtolds-gls-devel,
     golang-github-kr-pretty-devel, golang-github-go-sql-driver-mysql-
     devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-mail-v2-devel , golang-gopkg-mail-2-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.



Requires
--------
golang-github-mail-v2-devel (rpmlib, GLIBC filtered):

golang-gopkg-mail-2-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-mail-v2-devel:
    golang(github.com/go-mail/mail)
    golang-github-mail-v2-devel
    golang-ipath(github.com/go-mail/mail)

golang-gopkg-mail-2-devel:
    golang(gopkg.in/mail.v2)
    golang-gopkg-mail-2-devel
    golang-ipath(gopkg.in/mail.v2)



Source checksums
----------------
https://github.com/go-mail/mail/archive/v2.3.1.tar.gz#/mail-2.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 781834310d51a94000ec33235093921e18099fc08dcb41c6d882298604d0cb7c
  CHECKSUM(SHA256) upstream package : 264a42278757b9153338e618b2c98109d88f8ae8599a804f291e17bba9bb8969
However, diff -r shows no differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1691608
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Gwyn Ciesla 2019-03-26 13:07:53 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-mail-v2

Comment 7 Fedora Update System 2019-03-27 21:22:12 UTC
golang-github-mail-v2-2.3.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-456ef1475f

Comment 8 Fedora Update System 2019-03-27 21:23:06 UTC
golang-github-mail-v2-2.3.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e04dafeaf

Comment 9 Fedora Update System 2019-03-27 21:25:31 UTC
golang-github-mail-v2-2.3.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e441e61627

Comment 10 Fedora Update System 2019-03-29 00:12:33 UTC
golang-github-mail-v2-2.3.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e441e61627

Comment 11 Fedora Update System 2019-03-29 03:05:27 UTC
golang-github-mail-v2-2.3.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-456ef1475f

Comment 12 Fedora Update System 2019-03-29 04:15:39 UTC
golang-github-mail-v2-2.3.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e04dafeaf

Comment 13 Fedora Update System 2019-04-13 00:02:57 UTC
golang-github-mail-v2-2.3.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-13 06:33:24 UTC
golang-github-mail-v2-2.3.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-13 15:31:58 UTC
golang-github-mail-v2-2.3.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.